Updates the specified contractor by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
This request accepts mostly the same arguments as the contractor creation call.
Body
-
The contractor's home address.
-
The contractor's business name.
-
Set of key-value pairs that you can attach to an object. Used to store additional information about the contractor in a structured format. Individual keys can be unset by posting an empty value to them. Pass an empty value, e.g. {}, to custom_metadata to unset all keys.
-
The contractor's email address.
-
The contractor's first name.
-
The contractor's last name.
-
The contractor's middle name.
-
The contractor's phone number.
PUT
/api/v1/contractors/{contractor}
curl \
--request PUT 'https://api.1099policy.com/api/v1/contractors/cn_Ehb3bYa' \
--header "Content-Type: application/json" \
--data '{"address":{"line1":"123 Main St.","locality":"San Francisco","postalcode":"94105","region":"CA"},"company_name":"Acme Co.","custom_metadata":{"campaign":"Red Bull"},"email":"[email protected]","first_name":"Joe","last_name":"Parker","middle_name":"Doe","phone":"415-474-9088"}'
Request example
{
"address": {
"line1": "123 Main St.",
"locality": "San Francisco",
"postalcode": "94105",
"region": "CA"
},
"company_name": "Acme Co.",
"custom_metadata": {
"campaign": "Red Bull"
},
"email": "[email protected]",
"first_name": "Joe",
"last_name": "Parker",
"middle_name": "Doe",
"phone": "415-474-9088"
}
Response examples (200)
{
"address": {
"country": "null",
"line1": "92 Geary St",
"line2": "null",
"locality": "San Francisco",
"postalcode": 94114,
"region": "CA"
},
"company_name": "Acme Co.",
"created": 1646818364,
"custom_metadata": {
"campaign": "Red Bull"
},
"email": "[email protected]",
"first_name": "Joe",
"id": "string",
"last_name": "Parker",
"middle_name": "null",
"phone": "415-474-9088",
"withhold_premium": false
}